package com.usoft.fin.grpc.dal.mapper;

import com.usoft.fin.grpc.dal.entity.DrawApplyOrderAccept;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface DrawApplyOrderAcceptMapper {
    /**
     * deleteByPrimaryKey
     * 
     * @param id
     * @return int
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert
     * 
     * @param record
     * @return int
     */
    int insert(DrawApplyOrderAccept record);

    /**
     * insertSelective
     * 
     * @param record
     * @return int
     */
    int insertSelective(DrawApplyOrderAccept record);

    /**
     * selectByPrimaryKey
     * 
     * @param id
     * @return DrawApplyOrderAccept
     */
    DrawApplyOrderAccept selectByPrimaryKey(Integer id);

    /**
     * updateByPrimaryKeySelective
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKeySelective(DrawApplyOrderAccept record);

    /**
     * updateByPrimaryKey
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKey(DrawApplyOrderAccept record);

    /**
     * 根据提款申请编号查询提款订单信息
     * @param drawApplyCode
     * @return
     */
    List<DrawApplyOrderAccept> findByDrawCode(String drawApplyCode);

    /**
     * 根据产品编号和企业uu号查询验收单
     * @param productCode 产品编号
     * @param enuu 企业uu号
     * @return 验收单明细
     */
    List<Integer> findAcceptIdByEnuuAndProductCode(@Param("productCode") String productCode, @Param("enuu") int enuu);
}